@import '../../variables';

.marker-tooltip {
  width: 95%;
  max-width: none;
  border: none;
  border-top: 3px solid map-get($theme-colors, 'primary');
  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.15);
  border-radius: 0;
  font-size: 12px;
  z-index: 1040;

  @media (min-width: 576px) {
    width: 375px;
  }

  &--non-suitable {
    border-top-color: #787878;
  }

  &__header {
    background: transparent;
    border: none;
    padding: 18px 18px 5px 18px;
  }

  &__name {
    font-size: 16px;
    line-height: 18px;
    margin: 0;
    color: #393939;
    font-weight: 700;
  }

  &__more-button {
    font-weight: bold;
    border-radius: 20px;
  }

  &__content {
    padding: 0 18px 18px 18px;
  }
  &__table {
    margin-bottom: 0;

    .table-row {
      cursor: pointer;

      &:hover {
        background: #f6faff;
      }

      &:not(:last-child) {
        border-bottom: 1px solid #dfdfdf;
      }
    }

    th {
      padding: 5px;
      font-size: 10px;
      color: #878787;
      text-transform: uppercase;
      border-top: none;
      border-bottom: 3px solid #dfdfdf;
      font-weight: 700;

      &:first-child {
        padding-left: 0;
      }

      &:last-child {
        padding-right: 0;
      }
    }

    td {
      padding: 5px;
      color: #878787;

      &:first-child {
        padding-left: 0;
      }

      &:last-child {
        padding-right: 0;
      }

      &.title {
        font-weight: 700;
      }

      &.closest-slot {
        min-width: 65px;
      }
    }
  }

  &__non-suitable-services {
    margin-bottom: 0;
    font-style: italic;
    color: #878787;
  }
}
